<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="./style.css">
</head>

<body>
    <header>
        <div>
            <img src="./logo_switchtocode.png" alt="">
        </div>
        <a href="https://www.fb.com">Facebook</a>
        <p id="blog-desc">Ace the technical interview</p>
        <img src="./coding_ninjas.png" alt="Header Image">
    </header>

    <main>
        <header>
            <h1 class="uppercase">Five tips for front-end web development</h1>
        </header>

        <!-- Author Information -->

        <article class="content">
            <img src="./five-tips-for-front-end-web-development.jpg" alt="Five-tips">
            <p>Don’t you just love exploring beautiful and neat sites with a clean user interface? While most of us
                would reply with an assertive ‘YES,’ little, do we know the kind of effort and skill that goes into
                making a website attractive and user-friendly. The secret to creating an impressive site is to master
                the art of front-end development, and no, it is not as easy as it seems!</p>
            <p>However, it is not impossible either. Here are five tips that’ll help you get better in front-end design
                and web development.</p>
            <ol>
                <li>
                    <h4 class="uppercase cursive">Commenting</h4>
                    <p>Commenting is one such practice that is often ignored by programmers, especially for codes that
                        are written by multiple programmers. But remember, commenting is an important part of project
                        you create. With proper comments and organised files its always easier for you or others to jump
                        in and understand where things are at and how they work.</p>
                </li>
                <li>
                    <h4 class="uppercase">Invest In Productive Tools.</h4>
                    <p>The Internet is teeming with a host of web development tools, from browser add-ons to smart
                        plugins, the amount of choices available now is massive! So, why not invest in some really
                        productive web tools that’ll help you improve your front-end designing skills? Tools like
                        Sublime Text, jQuery, Emmet, Bootstrap, and Sass are nothing short of a godsend for web
                        developers. </p>
                </li>
                <li>
                    <h4 class="uppercase">Always Be Curious.</h4>
                    <p>A front-end developer has to keep himself/herself updated continuously with the latest news and
                        innovations in the field. You need to take a proactive stand and learn new things about
                        front-end development from informative blogs and videos. Following are some of the most
                        informative and useful learning sources for front-end developers -</p>
                    <ul>
                        <li>Frontend Focus</li>
                        <li>CSS Weekly</li>
                        <li>Javascript Weekly</li>
                        <li>Web Design Weekly</li>
                        <li>Codrops</li>
                        <li>ShopTalk Podcast</li>
                    </ul>
                </li>
                <li>
                    <h4 class="uppercase">Refactor Your Code From Time To Time. </h4>
                    <p>By “refactoring” your code, you’re only enhancing the code without tampering with its
                        functionality. This will improve the quality and readability quotient of your code and the more
                        often you do it, your code will continually be updated into a cleaner and fresher version of
                        what it was before. Apart from that, one of the most significant advantages that refactoring
                        offers is that it ensures your code remains free from plagiarism.</p>
                </li>
                <li>
                    <h4 class="uppercase">Version Control</h4>
                    <p>As a developer, version control is something that you must know about. Version control systems
                        let you keep track of changes made to the code over time. And not just this, they also make it
                        easy to revert back to an earlier version if you screw something up. Thus using verion control
                        will save you some sleepless nights for sure. One of the most widely used version control
                        systems is Git. Thus knowing git has been a requirement for almost every development job these
                        days.
                    </p>
                </li>
            </ol>

            <p>Second List</p>
            <ol>
                <li>
                    <h4>Item 1</h4>
                    <p>Para 1</p>
                </li>
                <li>
                    <h4>Item 2</h4>
                    <p>Para 2</p>
                </li>
                <li>
                    <h4>Item 3</h4>
                    <p>Para 3</p>
                </li>
            </ol>

        </article>
    </main>

    <aside class="aside">
        <section id="subscription">
            <h4>Subscribe Now to stay updated with new technology trends.</h4>
            <div id="subscribe-form">
                <form action="">
                    <label for="input-name">Name</label>
                    <input type="text" name="name" id="input-name">
                    <label for="input-email">Email</label>
                    <input type="email" name="email" id="input-email">
                    <button class="sub-btn" type="submit">SUBSCRIBE</button>
                </form>
            </div>
        </section>
    </aside>

</body>

</html>